> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# スキャンのSCA問題を取得

> 指定したスキャンのSCA問題を取得します



## OpenAPI

````yaml /ja/api-reference/openapi.json get /scan/{scan_id}/issues/sca
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}/issues/sca:
    get:
      tags:
        - 問題
        - SCA
      summary: スキャンのSCA問題を取得
      description: 指定したスキャンのSCA問題を取得します
      operationId: getScanScaIssues
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: スキャンID
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: ページネーションのページ番号
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 50
          description: 1ページあたりの結果件数
        - name: severity
          in: query
          required: false
          schema:
            type: string
          description: '重大度で絞り込みます（カンマ区切り）。有効な値: CRITICAL、HIGH、MEDIUM、LOW'
          example: CRITICAL,HIGH
        - name: package
          in: query
          required: false
          schema:
            type: string
          description: パッケージ名で絞り込みます（部分一致）
          example: lodash
        - name: ecosystem
          in: query
          required: false
          schema:
            type: string
          description: パッケージエコシステムで絞り込みます（大文字と小文字を区別しません）
          example: npm
        - name: cve
          in: query
          required: false
          schema:
            type: string
          description: CVE識別子で絞り込みます（部分一致）
          example: CVE-2021
        - name: path
          in: query
          required: false
          schema:
            type: string
          description: ファイルパスで絞り込みます（部分一致）
          example: package.json
        - name: has_fix
          in: query
          required: false
          schema:
            type: boolean
          description: 修正の有無で絞り込みます（true/false）
          example: true
        - name: reachability
          in: query
          required: false
          schema:
            type: string
            enum:
              - not_direct_dependency
              - pending
              - vulnerable_usage_reachable
              - vulnerable_usage_unreachable
              - dead_dependency
          description: 依存関係の到達可能性ステータスでSCA問題を絞り込みます
          example: vulnerable_usage_reachable
        - name: include_reachability
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: 各SCA問題に依存関係の到達可能性ステータスと説明を含めます。
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            enum:
              - created_at
              - '-created_at'
              - severity
              - '-severity'
              - package
              - '-package'
              - ecosystem
              - '-ecosystem'
          description: フィールドで結果を並べ替えます（降順の場合は先頭に「-」を付けます）
          example: '-severity'
      responses:
        '200':
          description: SCA問題を正常に取得しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  page:
                    type: integer
                  total_pages:
                    type: integer
                  total_issues:
                    type: integer
                  issues:
                    type: array
                    items:
                      $ref: '#/components/schemas/SCAIssue'
        '403':
          description: 権限がありません
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
        '404':
          description: スキャンが見つかりません
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Scan not found
components:
  schemas:
    SCAIssue:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        description:
          type: string
        details:
          type: string
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
        cve:
          type: string
          description: 利用可能な場合はCVE識別子
        package:
          type: object
          properties:
            name:
              type: string
            version:
              type: string
            ecosystem:
              type: string
            fix_version:
              type: string
              description: 脆弱性を修正するバージョン
        location:
          type: object
          properties:
            path:
              type: string
              description: 脆弱なパッケージを含むファイルのパス
        reachability:
          $ref: '#/components/schemas/SCAReachability'
    SCAReachability:
      type: object
      properties:
        status:
          type: string
          enum:
            - not_direct_dependency
            - pending
            - vulnerable_usage_reachable
            - vulnerable_usage_unreachable
            - dead_dependency
        description:
          type: string
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````